# Query Converter
This is the query-conversion package. It holds the code that translates the JSON of the visual query to the selected database language. There are currently two implementations, one for the Arango Query Language and one for Cypher.

## Creating a new converter
```go
import "git.science.uu.nl/graphpolaris/query-conversion"

queryservice := cypher.NewService()
```

## Converting a query
A query can be made by providing the JSON of the visual query and feeding it into the `ConvertQuery` function.

```go
query, err := queryservice.ConvertQuery(JSONquery)
```

## Creating a mock converter
```go
import "git.science.uu.nl/graphpolaris/query-conversion"

mockService := NewMockService()
```